## com.icl.saxon.output
Class TEXTEmitter

    java.lang.Object
      |
      +--com.icl.saxon.output.Emitter
            |
            +--com.icl.saxon.output.XMLEmitter
                  |
                  +--com.icl.saxon.output.TEXTEmitter

All Implemented Interfaces:
  javax.xml.transform.Result

public class TEXTEmitter
extends XMLEmitter

This class generates TEXT output

Fields inherited from class com.icl.saxon.output.XMLEmitter
`characterSet, declarationIsWritten, empty, escaping, lastDisplayName, lastNameCode, lastPrefix, lastURI, openStartTag, preferHex`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputProperties, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`TEXTEmitter()`

Method Summary
`void` `characters(char[] ch, int start, int length)` Produce output using the current Writer.
`void` `comment(char[] ch, int start, int length)` Output a comment.
`void` `endElement(int nameCode)` Output an element end tag.
`void` `processingInstruction(java.lang.String name, java.lang.String value)` Output a processing instruction.
`void` `startDocument()` Start of the document.
`void` `startElement(int nameCode, org.xml.sax.Attributes attributes, int[] namespaces, int nscount)` Output an element start tag.

Methods inherited from class com.icl.saxon.output.XMLEmitter
`closeStartTag, emptyElementTagCloser, endDocument, outputCharacterReference, setDocumentLocator, setEscaping, setOutputProperties, setResult, setUnparsedEntity, testCharacters, testCharacters, writeAttribute, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setNamePool, setOutputStream, setSystemId, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TEXTEmitter

    public TEXTEmitter()

Method Detail

### startDocument

    public void startDocument()
                       throws javax.xml.transform.TransformerException

  Start of the document.
  Overrides:
    `startDocument` in class `XMLEmitter`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws javax.xml.transform.TransformerException

  Produce output using the current Writer.
  Special characters are not escaped.
  Overrides:
    `characters` in class `XMLEmitter`
  Parameters:
    `ch` - Character array to be output
    `start` - start position of characters to be output
    `length` - number of characters to be output
  Throws:
    `javax.xml.transform.TransformerException` - for any failure

### startElement

    public void startElement(int nameCode,
                             org.xml.sax.Attributes attributes,
                             int[] namespaces,
                             int nscount)
                      throws javax.xml.transform.TransformerException

  Output an element start tag.
  Does nothing with this output method.
  Overrides:
    `startElement` in class `XMLEmitter`
  Parameters:
    `name` - The element name (tag)

### endElement

    public void endElement(int nameCode)
                    throws javax.xml.transform.TransformerException

  Output an element end tag.
  Does nothing with this output method.
  Overrides:
    `endElement` in class `XMLEmitter`
  Parameters:
    `name` - The element name (tag)

### processingInstruction

    public void processingInstruction(java.lang.String name,
                                      java.lang.String value)
                               throws javax.xml.transform.TransformerException

  Output a processing instruction.
  Does nothing with this output method.
  Overrides:
    `processingInstruction` in class `XMLEmitter`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws javax.xml.transform.TransformerException

  Output a comment.
  Does nothing with this output method.
  Overrides:
    `comment` in class `XMLEmitter`